## mupen64plus-video-arachnoid 2.0.0+13+g911d3b8

=== projects/unix/Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Arachnoid - Makefile                                                  *
# *   https://github.com/mupen64plus/mupen64plus-video-arachnoid/           *
# *   Copyright (C) 2009 Richard42, Jon Ring                                *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
# Makefile for mupen64plus-video-arachnoid

# detect operation system
UNAME ?= $(shell uname -s)
ifeq ("$(UNAME)","Linux")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(UNAME)","linux")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifneq ("$(filter GNU hurd,$(UNAME))","")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(UNAME)","Darwin")
  OS = OSX
  LDLIBS += -liconv -lpng
  SO_EXTENSION = dylib
  SHARED = -bundle
endif
ifeq ("$(UNAME)","FreeBSD")
  OS = FREEBSD
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(UNAME)","OpenBSD")
  OS = FREEBSD
  SO_EXTENSION = so
  SHARED = -shared
  $(warning OS type "$(UNAME)" not officially supported.')
endif
ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(patsubst MINGW%,MINGW,$(UNAME))","MINGW")
  OS = MINGW
  SO_EXTENSION = dll
  SHARED = -shared
  PIC = 0
endif
ifeq ("$(OS)","NONE")
  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
endif

# detect system architecture
HOST_CPU ?= $(shell uname -m)
NO_ASM ?= 1
ifneq ("$(filter x86_64 amd64,$(HOST_CPU))","")
  CPU := X86
  ifeq ("$(BITS)", "32")
    ARCH_DETECTED := 64BITS_32
  else
    ARCH_DETECTED := 64BITS
    PIC ?= 1
  endif
endif
ifneq ("$(filter pentium i%86,$(HOST_CPU))","")
  CPU := X86
  ARCH_DETECTED := 32BITS
endif
ifneq ("$(filter ppc macppc socppc powerpc,$(HOST_CPU))","")
  CPU := PPC
  ARCH_DETECTED := 32BITS
  BIG_ENDIAN := 1
  PIC ?= 1
  $(warning Architecture "$(HOST_CPU)" not officially supported.')
endif
ifneq ("$(filter ppc64 powerpc64,$(HOST_CPU))","")
  CPU := PPC
  ARCH_DETECTED := 64BITS
  BIG_ENDIAN := 1
  PIC ?= 1
  $(warning Architecture "$(HOST_CPU)" not officially supported.')
endif
ifneq ("$(filter arm%,$(HOST_CPU))","")
  ifeq ("$(filter arm%b,$(HOST_CPU))","")
    CPU := ARM
    ARCH_DETECTED := 32BITS
    PIC ?= 1
    $(warning Architecture "$(HOST_CPU)" not officially supported.')
  endif
endif

# base CFLAGS, LDLIBS, and LDFLAGS
OPTFLAGS ?= -O3 -flto
WARNFLAGS ?= -Wall
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src \
		 -I../../src/hash -I../../src/ucodes -I../../src/GBI -I../../src/RDP -I../../src/utils \
		 -I../../src/log -I../../src/RSP -I../../src/framebuffer -I../../src/math -I../../src/renderer \
		 -I../../src/Assembler -I../../src/texture -I../../src/config -I../../src/Combiner 
CXXFLAGS += -fvisibility-inlines-hidden
LDFLAGS += $(SHARED)

# On OS X, add a few extra flags to elegantly support cross-compilation and backward
# compatibility (and also the flags to link against OpenGL)
ifeq ($(OS), OSX)
  # Select the proper SDK
  # Also, SDKs are stored in a different location since XCode 4.3
  OSX_SDK ?= $(shell sw_vers -productVersion | cut -f1 -f2 -d .)
  OSX_XCODEMAJ = $(shell xcodebuild -version | grep '[0-9]*\.[0-9]*' | cut -f2 -d ' ' | cut -f1 -d .)
  OSX_XCODEMIN = $(shell xcodebuild -version | grep '[0-9]*\.[0-9]*' | cut -f2 -d ' ' | cut -f2 -d .)
  OSX_XCODEGE43 = $(shell echo "`expr $(OSX_XCODEMAJ) \>= 4``expr $(OSX_XCODEMIN) \>= 3`")
  ifeq ($(OSX_XCODEGE43), 11)
    OSX_SYSROOT := /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs
  else
    OSX_SYSROOT := /Developer/SDKs
  endif

  ifeq ($(CPU), X86)
    ifeq ($(ARCH_DETECTED), 64BITS)
      CFLAGS += -arch x86_64 -mmacosx-version-min=$(OSX_SDK) -isysroot $(OSX_SYSROOT)/MacOSX$(OSX_SDK).sdk
      LDFLAGS += -bundle
    else
      CFLAGS += -arch i686 -mmacosx-version-min=$(OSX_SDK) -isysroot $(OSX_SYSROOT)/MacOSX$(OSX_SDK).sdk
      LDFLAGS += -bundle
    endif
  endif
else
  # search for OpenGL libraries
  ifeq ($(OS), OSX)
    GL_LDLIBS = -framework OpenGL
  endif
  ifeq ($(OS), MINGW)
    GL_LDLIBS = -lopengl32
  endif

  ifeq ($(origin GL_CFLAGS) $(origin GL_LDLIBS), undefined undefined)
    ifeq ($(origin PKG_CONFIG), undefined)
      PKG_CONFIG = $(CROSS_COMPILE)pkg-config
      ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
        $(error $(PKG_CONFIG) not found)
      endif
    endif

    ifeq ($(shell $(PKG_CONFIG) --modversion gl 2>/dev/null),)
      $(error No OpenGL development libraries found!)
    endif
    GL_CFLAGS += $(shell $(PKG_CONFIG) --cflags gl)
    GL_LDLIBS +=  $(shell $(PKG_CONFIG) --libs gl)
  endif
  CFLAGS += $(GL_CFLAGS)
  LDLIBS += $(GL_LDLIBS)

  CFLAGS += -pthread
endif
ifeq ($(OS), LINUX)
  LDLIBS += -ldl 
endif
ifeq ($(OS), FREEBSD)
  LDLIBS += -lc
endif


# Since we are building a shared library, we must compile with -fPIC on some architectures
# On 32-bit x86 systems we do not want to use -fPIC because we don't have to and it has a big performance penalty on this arch
ifeq ($(PIC), 1)
  CFLAGS += -fPIC
else
  CFLAGS += -fno-PIC
endif

ifeq ($(BIG_ENDIAN), 1)
  CFLAGS += -DM64P_BIG_ENDIAN
endif

# set mupen64plus core API header path
ifneq ("$(APIDIR)","")
  CFLAGS += "-I$(APIDIR)"
else
  TRYDIR = ../../../mupen64plus-core/src/api
  ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
    CFLAGS += -I$(TRYDIR)
  else
    TRYDIR = /usr/local/include/mupen64plus
    ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
      CFLAGS += -I$(TRYDIR)
    else
      TRYDIR = /usr/include/mupen64plus
      ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
        CFLAGS += -I$(TRYDIR)
      endif
    endif
  endif
endif

# set special flags per-system
ifeq ($(OS), LINUX)
  # only export api symbols
  LDFLAGS += -Wl,-version-script,$(SRCDIR)/video_api_export.ver
endif
ifneq ($(OS), FREEBSD)
  ifeq ($(CPU), X86)
    # tweak flags for 32-bit build on 64-bit system
    ifeq ($(ARCH_DETECTED), 64BITS_32)
      CFLAGS += -m32
      LDFLAGS += -Wl,-m,elf_i386
    endif
  endif
else
  ifeq ($(ARCH_DETECTED), 64BITS_32)
    $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
  endif
endif

# reduced compile output when running make without V=1
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC  = @echo '    CC  '$@;
	Q_CXX = @echo '    CXX '$@;
	Q_LD  = @echo '    LD  '$@;
endif
endif

# set base program pointers and flags
CC        = $(CROSS_COMPILE)gcc
CXX       = $(CROSS_COMPILE)g++
RM       ?= rm -f
INSTALL  ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
COMPILE.cc = $(Q_CXX)$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CXX) $(CXXFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# set special flags for given Makefile parameters
ifeq ($(DEBUG),1)
  CFLAGS += -g
  INSTALL_STRIP_FLAG ?= 
else
  INSTALL_STRIP_FLAG ?= -s
endif

# set installation options
ifeq ($(PREFIX),)
  PREFIX := /usr/local
endif
ifeq ($(SHAREDIR),)
  SHAREDIR := $(PREFIX)/share/mupen64plus
endif
ifeq ($(LIBDIR),)
  LIBDIR := $(PREFIX)/lib
endif
ifeq ($(PLUGINDIR),)
  PLUGINDIR := $(LIBDIR)/mupen64plus
endif


SRCDIR = ../../src
OBJDIR = _obj$(POSTFIX)

# list of source files to compile
SOURCE = \
	$(SRCDIR)/main.cpp \
	$(SRCDIR)/log/Logger.cpp \
	$(SRCDIR)/config/Config.cpp \
	$(SRCDIR)/config/StringFunctions.cpp \
	$(SRCDIR)/GraphicsPlugin.cpp \
	$(SRCDIR)/OpenGLManager.cpp \
	$(SRCDIR)/renderer/OpenGLRenderer.cpp \
	$(SRCDIR)/framebuffer/FrameBuffer.cpp \
	$(SRCDIR)/renderer/OpenGL2DRenderer.cpp \
	$(SRCDIR)/FogManager.cpp \
	$(SRCDIR)/MultiTexturingExt.cpp \
	$(SRCDIR)/ExtensionChecker.cpp \
	$(SRCDIR)/SecondaryColorExt.cpp \
	$(SRCDIR)/Memory.cpp \
	$(SRCDIR)/math/Matrix4.cpp \
	$(SRCDIR)/texture/CachedTexture.cpp \
	$(SRCDIR)/texture/TextureCache.cpp \
	$(SRCDIR)/texture/ImageFormatSelector.cpp \
	$(SRCDIR)/hash/CRCCalculator.cpp \
	$(SRCDIR)/hash/CRCCalculator2.cpp \
	$(SRCDIR)/texture/TextureLoader.cpp \
	$(SRCDIR)/DisplayListParser.cpp \
	$(SRCDIR)/VI.cpp \
	$(SRCDIR)/ucodes/UCodeSelector.cpp \
	$(SRCDIR)/ucodes/UCode0.cpp \
	$(SRCDIR)/ucodes/UCode1.cpp \
	$(SRCDIR)/ucodes/UCode2.cpp \
	$(SRCDIR)/ucodes/UCode3.cpp \
	$(SRCDIR)/ucodes/UCode4.cpp \
	$(SRCDIR)/ucodes/UCode5.cpp \
	$(SRCDIR)/ucodes/UCode6.cpp \
	$(SRCDIR)/ucodes/UCode7.cpp \
	$(SRCDIR)/ucodes/UCode8.cpp \
	$(SRCDIR)/ucodes/UCode9.cpp \
	$(SRCDIR)/ucodes/UCode10.cpp \
	$(SRCDIR)/GBI/GBI.cpp \
	$(SRCDIR)/RSP/RSP.cpp \
	$(SRCDIR)/RSP/RSPMatrixManager.cpp \
	$(SRCDIR)/RSP/RSPVertexManager.cpp \
	$(SRCDIR)/RSP/RSPLightManager.cpp \
	$(SRCDIR)/Combiner/AdvancedCombinerManager.cpp \
	$(SRCDIR)/Combiner/CombinerBase.cpp \
	$(SRCDIR)/Combiner/AdvancedTexEnvCombiner.cpp \
	$(SRCDIR)/Combiner/SimpleTexEnvCombiner.cpp \
	$(SRCDIR)/Combiner/DummyCombiner.cpp \
	$(SRCDIR)/Combiner/CombinerStageMerger.cpp \
	$(SRCDIR)/Combiner/CombinerStageCreator.cpp \
	$(SRCDIR)/Combiner/CombinerCache.cpp \
	$(SRCDIR)/RomDetector.cpp \
	$(SRCDIR)/RDP/RDP.cpp \
	$(SRCDIR)/RDP/RDPInstructions.cpp

ifeq ($(OS),MINGW)
SOURCE += $(SRCDIR)/osal_dynamiclib_win32.cpp
else
SOURCE += $(SRCDIR)/osal_dynamiclib_unix.cpp
endif


# generate a list of object files build, make a temporary directory for them
OBJECTS := $(patsubst $(SRCDIR)/%.cpp, $(OBJDIR)/%.o, $(filter %.cpp, $(SOURCE)))
OBJDIRS = $(dir $(OBJECTS))
$(shell $(MKDIR) $(OBJDIRS))

# build targets

TARGET = mupen64plus-video-arachnoid$(POSTFIX).$(SO_EXTENSION)
targets:
	@echo "Mupen64plus-video-arachnoid N64 Graphics plugin makefile. "
	@echo "  Targets:"
	@echo "    all           == Build Mupen64plus-video-arachnoid plugin"
	@echo "    clean         == remove object files"
	@echo "    rebuild       == clean and re-build all"
	@echo "    install       == Install Mupen64Plus-video-arachnoid plugin"
	@echo "    uninstall     == Uninstall Mupen64Plus-video-arachnoid plugin"
	@echo "  Options:"
	@echo "    BITS=32       == build 32-bit binaries on 64-bit machine"
	@echo "    APIDIR=path   == path to find Mupen64Plus Core headers"
	@echo "    OPTFLAGS=flag == compiler optimization (default: -O3 -flto)"
	@echo "    WARNFLAGS=flag == compiler warning levels (default: -Wall)"
	@echo "    PIC=(1|0)     == Force enable/disable of position independent code"
	@echo "    POSTFIX=name  == String added to the name of the the build (default: '')"
	@echo "  Install Options:"
	@echo "    PREFIX=path   == install/uninstall prefix (default: /usr/local)"
	@echo "    LIBDIR=path   == library prefix (default: PREFIX/lib)"
	@echo "    PLUGINDIR=path == path to install plugin libraries (default: LIBDIR/mupen64plus)"
	@echo "    DESTDIR=path  == path to prepend to all installation paths (only for packagers)"
	@echo "  Debugging Options:"

=== debian/changelog ===
mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:56 +0100

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-5) unstable; urgency=medium

  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 23:51:58 +0200

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-4) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:54:35 +0200

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-video-arachnoid-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright
  * Override the lintian warning about missing upstream changelog

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 13:49:31 +0100

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-2) unstable; urgency=medium

  * debian/control:
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:51:53 +0100

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-1) unstable; urgency=medium

  * New Upstream Snapshot from 911d3b81ecb2fe750443f76f003be04e11bdb489
  * Upload to unstable
  * debian/control:
    - Upgraded to policy 3.9.6, no changes required
    - Change Vcs-Browser to new alioth CGit URL
  * debian/copyright:
    - Rewrite copyright information
    - Update years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 May 2015 14:01:09 +0200

mupen64plus-video-arachnoid (2.0.0+8+g7378184-1) experimental; urgency=medium

  * New Upstream Snapshot from 7378184970723511b389a4939e0bb2f989b1eb5e

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 12:09:14 +0200

mupen64plus-video-arachnoid (2.0.0-2) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:20:38 +0200

=== debian/control ===
Source: mupen64plus-video-arachnoid
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.4.0
Homepage: http://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git -b master
Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 libgl1-mesa-dev | libgl-dev,
 libmupen64plus-dev (>= 2.0),
 pkg-config,

Package: mupen64plus-video-arachnoid
Architecture: any-amd64 any-i386
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 mupen64plus-config-abi-2.2,
 mupen64plus-gfx-abi-2.2,
 mupen64plus-vidext-abi-3,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-video,
Description: Arachnoid high-level graphics emulation for mupen64plus
 High-level graphics emulation plugin for known microcodes based on OpenGL, but
 works completely without vertex and pixel shaders. This makes it a good choice
 for older graphics hardware.
 .
 Arachnoid is based on a GPLv2+ fork of the glN64 source code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildtools.mk

export PKG_CONFIG ?= pkg-config
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND=-flto
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS="-DNDEBUG"

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --sourcedirectory="projects/unix"

override_dh_auto_test:
	# otherwise dh_auto_test fails with debhelper 9.20130624

override_dh_auto_clean:
	dh_auto_clean -- $(MAKEOPTIONS)

override_dh_auto_build:
	dh_auto_build -- all $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_clean override_dh_auto_test override_dh_auto_build override_dh_auto_install

## mupen64plus-video-arachnoid 2.5.9

=== projects/unix/Makefile ===
--- 
+++ 
@@ -52,7 +52,6 @@
   OS = FREEBSD
   SO_EXTENSION = so
   SHARED = -shared
-  $(warning OS type "$(UNAME)" not officially supported.')
 endif
 ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
   OS = LINUX
@@ -66,7 +65,7 @@
   PIC = 0
 endif
 ifeq ("$(OS)","NONE")
-  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
+  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
 # detect system architecture
@@ -364,3 +363,4 @@
 	@echo "    PLUGINDIR=path == path to install plugin libraries (default: LIBDIR/mupen64plus)"
 	@echo "    DESTDIR=path  == path to prepend to all installation paths (only for packagers)"
 	@echo "  Debugging Options:"
+	@echo "    DEBUG=1       == add debugging symbols"

=== debian/changelog ===
mupen64plus-video-arachnoid (2.5.9-1) experimental; urgency=medium

  * New Upstream Version
  * Verify new upstream versions using GPG key 954F81B094AA5BB226F5
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.4.0
+Standards-Version: 4.3.0
 Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git -b master
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 12),
  dpkg-dev (>= 1.16.1.1),
  libgl1-mesa-dev | libgl-dev,
  libmupen64plus-dev (>= 2.0),

## mupen64plus-video-arachnoid 2.5.9+14+g82ab630

=== projects/unix/Makefile ===
--- 
+++ 
@@ -209,23 +209,31 @@
   endif
 endif
 
+# tweak flags for 32-bit build on 64-bit system
+ifeq ($(ARCH_DETECTED), 64BITS_32)
+  ifeq ($(OS), FREEBSD)
+    $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
+  endif
+  ifneq ($(OS), OSX)
+    ifeq ($(OS), MINGW)
+      LDFLAGS += -Wl,-m,i386pe
+    else
+      CFLAGS += -m32
+      LDFLAGS += -Wl,-m,elf_i386
+    endif
+  endif
+endif
+
+ifeq ($(ARCH_DETECTED), 64BITS)
+  ifeq ($(OS), MINGW)
+    LDFLAGS += -Wl,-m,i386pep
+  endif
+endif
+
 # set special flags per-system
 ifeq ($(OS), LINUX)
   # only export api symbols
   LDFLAGS += -Wl,-version-script,$(SRCDIR)/video_api_export.ver
-endif
-ifneq ($(OS), FREEBSD)
-  ifeq ($(CPU), X86)
-    # tweak flags for 32-bit build on 64-bit system
-    ifeq ($(ARCH_DETECTED), 64BITS_32)
-      CFLAGS += -m32
-      LDFLAGS += -Wl,-m,elf_i386
-    endif
-  endif
-else
-  ifeq ($(ARCH_DETECTED), 64BITS_32)
-    $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
-  endif
 endif
 
 # reduced compile output when running make without V=1
@@ -361,6 +369,3 @@
 	@echo "    PREFIX=path   == install/uninstall prefix (default: /usr/local)"
 	@echo "    LIBDIR=path   == library prefix (default: PREFIX/lib)"
 	@echo "    PLUGINDIR=path == path to install plugin libraries (default: LIBDIR/mupen64plus)"
-	@echo "    DESTDIR=path  == path to prepend to all installation paths (only for packagers)"
-	@echo "  Debugging Options:"
-	@echo "    DEBUG=1       == add debugging symbols"

=== debian/changelog ===
mupen64plus-video-arachnoid (2.5.9+14+g82ab630-2) unstable; urgency=medium

  * debian/rules:
    - disallow compiler to drop code related to signed integer overflows during
      optimization
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 18:37:52 +0100

mupen64plus-video-arachnoid (2.5.9+14+g82ab630-1) unstable; urgency=medium

  * New Upstream Snapshot from 82ab630d29c31541b93d4f8293a47b8cf6ef0d35
  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 12:01:51 +0100

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-6) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
    - Replace Build-Depends libgl1-mesa-dev with libgl-dev
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * Remove overrides for unsupported no-upstream-changelog lintian tag

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:57:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.3.0
-Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://mupen64plus.org/
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid
 Build-Depends:
- debhelper (>= 12),
- dpkg-dev (>= 1.16.1.1),
- libgl1-mesa-dev | libgl-dev,
- libmupen64plus-dev (>= 2.0),
+ debhelper-compat (= 13),
+ libgl-dev,
+ libmupen64plus-dev,
  pkg-config,
 
 Package: mupen64plus-video-arachnoid

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 export DEB_CFLAGS_MAINT_APPEND=-flto
 export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
+
+# mupen64plus and its plugins sometimes use signed integer overflows
+# the compiler must not optimize them away due to their "undefined behavior"
+DEB_CFLAGS_MAINT_APPEND=-fno-aggressive-loop-optimizations -fno-strict-overflow
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-video-arachnoid/releases \
	/mupen64plus/mupen64plus-video-arachnoid/releases/download/[^/]+/mupen64plus-video-arachnoid-src-(.*\d).tar.gz

## mupen64plus-video-arachnoid 2.6.0

=== projects/unix/Makefile ===
--- 
+++ 
@@ -20,8 +20,9 @@
 # * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
 # Makefile for mupen64plus-video-arachnoid
 
-# detect operation system
+# detect operating system
 UNAME ?= $(shell uname -s)
+OS := NONE
 ifeq ("$(UNAME)","Linux")
   OS = LINUX
   SO_EXTENSION = so
@@ -70,11 +71,13 @@
 
 # detect system architecture
 HOST_CPU ?= $(shell uname -m)
+CPU := NONE
 NO_ASM ?= 1
 ifneq ("$(filter x86_64 amd64,$(HOST_CPU))","")
   CPU := X86
   ifeq ("$(BITS)", "32")
     ARCH_DETECTED := 64BITS_32
+    PIC ?= 0
   else
     ARCH_DETECTED := 64BITS
     PIC ?= 1
@@ -83,6 +86,7 @@
 ifneq ("$(filter pentium i%86,$(HOST_CPU))","")
   CPU := X86
   ARCH_DETECTED := 32BITS
+  PIC ?= 0
 endif
 ifneq ("$(filter ppc macppc socppc powerpc,$(HOST_CPU))","")
   CPU := PPC
@@ -106,6 +110,12 @@
     $(warning Architecture "$(HOST_CPU)" not officially supported.')
   endif
 endif
+ifeq ("$(CPU)","NONE")
+  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
+endif
+
+SRCDIR = ../../src
+OBJDIR = _obj$(POSTFIX)
 
 # base CFLAGS, LDLIBS, and LDFLAGS
 OPTFLAGS ?= -O3 -flto
@@ -267,19 +277,12 @@
 ifeq ($(PREFIX),)
   PREFIX := /usr/local
 endif
-ifeq ($(SHAREDIR),)
-  SHAREDIR := $(PREFIX)/share/mupen64plus
-endif
 ifeq ($(LIBDIR),)
   LIBDIR := $(PREFIX)/lib
 endif
 ifeq ($(PLUGINDIR),)
   PLUGINDIR := $(LIBDIR)/mupen64plus
 endif
-
-
-SRCDIR = ../../src
-OBJDIR = _obj$(POSTFIX)
 
 # list of source files to compile
 SOURCE = \
@@ -368,4 +371,3 @@
 	@echo "  Install Options:"
 	@echo "    PREFIX=path   == install/uninstall prefix (default: /usr/local)"
 	@echo "    LIBDIR=path   == library prefix (default: PREFIX/lib)"
-	@echo "    PLUGINDIR=path == path to install plugin libraries (default: LIBDIR/mupen64plus)"

=== debian/changelog ===
mupen64plus-video-arachnoid (2.6.0-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:59 +0100

mupen64plus-video-arachnoid (2.6.0-1) unstable; urgency=medium

  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
    - Use DEB_BUILD_MAINT_OPTIONS to set lfs flag
  * debian/control:
    - Replace pkg-config with pkgconf
  * debian/watch:
    - Switch to api.github.com to check for releases

 -- Sven Eckelmann <sven@narfation.org>  Mon, 15 Jul 2024 10:27:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://mupen64plus.org/
 Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git -b debian/unstable
@@ -14,7 +14,7 @@
  debhelper-compat (= 13),
  libgl-dev,
  libmupen64plus-dev,
- pkg-config,
+ pkgconf,
 
 Package: mupen64plus-video-arachnoid
 Architecture: any-amd64 any-i386

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,7 @@
 -include /usr/share/dpkg/buildtools.mk
 
 export PKG_CONFIG ?= pkg-config
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
-export DEB_CFLAGS_MAINT_APPEND=-flto
-export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie optimize=+lto abi=+lfs
 
 # mupen64plus and its plugins sometimes use signed integer overflows
 # the compiler must not optimize them away due to their "undefined behavior"
